Skip to main content
GET
/
fee-settings
/
{transaction_type}
/
{party_type}
Get fee settings for specific transaction and party
curl --request GET \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type} \
  --header 'Authorization: <api-key>'
{}

Get Fee Setting

Retrieve configured fee settings for a specific transaction type and party combination.

Endpoint

GET /api/v1/fee-settings/:transaction_type/:party_type

Authentication

Authorization
string
required
Bearer token (Admin JWT)

Path Parameters

transaction_type
string
required
Transaction type: transfer_p2p, agent_cashin, pos_payment, vult_fund, etc.
party_type
string
required
Party type: sender, recipient, agent, processor

Response

{
  "settings": {
    "id": 1,
    "transaction_type": "transfer_p2p",
    "party_type": "sender",
    "fee_type": "percentage",
    "fee_value": 1.5,
    "debit_enabled": true,
    "credit_enabled": false,
    "updated_at": "2025-01-15T10:30:00Z",
    "updated_by": "admin"
  }
}

Errors

CodeDescription
404Fee settings not found (using defaults)
401Unauthorized
500Internal server error

Authorizations

Authorization
string
header
required

API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'

Path Parameters

transaction_type
string
required

Transaction Type

party_type
string
required

Party Type

Response

OK

The response is of type object.